%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.6.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.bz2
Patch: 		xfce4-settings-4.6.4-libxklavier5.0.patch
Patch1:		xfce4-settings-4.5.99.1-format_not_a_string_literal_and_no_format_arguments.patch
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	xfconf-devel >= 4.6.0
BuildRequires:	exo-devel >= 0.3.100
BuildRequires:	libnotify-devel
BuildRequires:	libglade2-devel
BuildRequires:	libwnck-devel
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	libxxf86misc-devel
Obsoletes:	xfce-mcs-manager < 4.5
Obsoletes:	xfce-mcs-manager-devel
Obsoletes:	xfce-mcs-plugins < 4.5
Obsoletes:	%{mklibname xfce4mcs 3}
Obsoletes:	%{mklibname xfce4mcs 3 -d}
Obsoletes:	%{mklibname xfce4mcs -d}
Provides:	xfce-mcs-manager
Provides:	xfce-mcs-plugins
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Configuration settings manager for Xfce desktop environment.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure2_5x \
	--enable-sound-settings \
	--enable-xsettings-daemon \
	--enable-libnotify \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO
%exclude %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_sysconfdir}/xdg/autostart/xfce4-settings-helper-autostart.desktop
%{_bindir}/xfce4-*settings*
%{_bindir}/xfsettingsd
%{_datadir}/applications/*.desktop


%changelog
* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 4.6.4-2mdv2010.1
+ Revision: 489692
- patch for new libxklavier

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.4-1mdv2010.1
+ Revision: 485061
- update to new version 4.6.4
- drop patch 2, fixed upstream

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-3mdv2010.1
+ Revision: 465100
- Patch2: fix detecting newer libXi versions

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-2mdv2010.1
+ Revision: 464912
- rebuild for new X11 librariers

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-1mdv2010.0
+ Revision: 455242
- update to new version 4.6.3
- drop pacthes 0, 2, 3 and 4 as they were fixed by upstream
- adapt to new URL schemas for Xfce sources

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 4.6.1-3mdv2010.0
+ Revision: 393441
- build with new libxklavier (bug #52028)

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.0
+ Revision: 386851
- Patch2: avoind timing out of xfce4-session on startup
- Patch3: fix two typos in keyboard settings dialog

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368578
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-5mdv2009.1
+ Revision: 364247
- Patch3: do not set keyboard layout by default
- Patch4: use folder name for selecting the icon and theme style

* Tue Mar 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 356959
- Patch2: select the correct refresh rate in the display dialog

* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 355023
- Patch2: changing screen resolution works again
- enable embedded dialogs in xfce4-settings
- extend description

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349230
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345708
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333982
- update to new version 4.5.99.1
- Patch1: fix build with -Werror=format-security
- use versionate buildrequires on xfconf-devel

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329518
- update to new version 4.5.93

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 326459
- fix desktop entry

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303562
- exclude xsettings.xml, as it should go to mandriva-xfce-config
- add full path for the Source0
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-3mdv2009.1
+ Revision: 294738
- obsolete xfce-mcs library, manager and plugins

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294458
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for xfce4-settings.

